Package com.zaxxer.hikari.metrics

## Interface IMetricsTracker

All Superinterfaces:
  `java.lang.AutoCloseable`

All Known Implementing Classes:
  `MetricsTracker`

    public interface IMetricsTracker
    extends java.lang.AutoCloseable

Author:
  Brett Wooldridge

### Method Summary

All Methods Instance Methods Default Methods
`default void` `close()`
`default void` `recordConnectionAcquiredNanos​(long elapsedAcquiredNanos)`
`default void` `recordConnectionCreatedMillis​(long connectionCreatedMillis)`
`default void` `recordConnectionTimeout()`
`default void` `recordConnectionUsageMillis​(long elapsedBorrowedMillis)`

### Method Detail

#### recordConnectionCreatedMillis

    default void recordConnectionCreatedMillis​(long connectionCreatedMillis)

#### recordConnectionAcquiredNanos

    default void recordConnectionAcquiredNanos​(long elapsedAcquiredNanos)

#### recordConnectionUsageMillis

    default void recordConnectionUsageMillis​(long elapsedBorrowedMillis)

#### recordConnectionTimeout

    default void recordConnectionTimeout()

#### close

    default void close()

Specified by:
  `close` in interface `java.lang.AutoCloseable`